Subject: Re: [PATCH 0/3] Move some Octeon support files out of staging.

From: Greg KH <[email-masked]>
Date: Thu, 10 Nov 2011 16:45:17 -0800

On Thu, Nov 10, 2011 at 04:29:44PM -0800, [email-masked] wrote:
> From: David Daney <[email-masked]>
> 
> First patch:
> 
> In preparation for my next set of patches to add device tree support
> for Octeon, move some files out of drivers/staging/octeon to common
> location.  There are two basic types of files I am moving:
> 
> 1) Register definition files.  Most Octeon register definition files
>    are in arch/mips/include/asm/octeon, put the rest there too.
> 
> 2) Low level packet port type probing code.  This is needed by both
>    the Ethernet driver and the code that fixes up the in-kernel device
>    trees.  Although new board pass a device tree to the kernel,
>    support of legacy boards requires that this probing code be used to
>    fix up an in-kernel device tree template.
> 
> 
> Second patch:
> 
> Update support for legacy boards.
> 
> 
> Third patch:
> 
> Seperate probing and initialization of packet ports.
> 
> 
> Since these are MIPS architecture files we could merge via Ralf's tree
> if approved.

If Ralf approves of these changes, that's fine with me and they can go
through his tree:
	Acked-by: Greg Kroah-Hartman <[email-masked]>

thanks,

greg k-h